Page MenuHomePhabricator

polkit-efl broken
Closed, ResolvedPublic

Description

Hi, I'm new here.
Please let me know if I am not following protocol.
So after upgrading efl to 1.17.99.46538.g19b6035-1 and the necessary removal of elementary, polkit-efl now crashes on boot.
From gdb I am getting this:

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Traceback (most recent call last):
File "/usr/bin/polkit-efl-authentication-agent-1", line 43, in <module>
from efl.ecore import Exe, ECORE_EXE_PIPE_READ, ECORE_EXE_PIPE_WRITE, \
File "efl/ecore/efl.ecore.pyx", line 1, in init efl.ecore (efl/ecore/efl.ecore.c:38484)
ImportError: /usr/lib/python3.5/site-packages/efl/eo.cpython-35m-x86_64-linux-gnu.so: undefined symbol: _eo_do_end
[Inferior 1 (process 5432) exited with code 01]

Unfortunately this is well beyond my abilities to fix.
Hopefully someone here knows a quick solution.
Thanks.

camus created this task.Apr 2 2016, 6:36 PM
kuuko closed this task as Resolved.Apr 25 2016, 5:50 AM
kuuko claimed this task.
kuuko added a subscriber: kuuko.

Eo went through many changes this release cycle by the EFL developers, and Python-EFL is not maintained by the same people so there was a period where Eo support did not match what was in EFL. If you pull both projects from git now and recompile this problem should be solved.

kete added a subscriber: kete.Apr 28 2016, 5:28 PM

Is this also fixed in 0.20.7?

kuuko added a comment.May 1 2016, 5:41 PM

This issue and Polkit-EFL are not related to Enlightenment WM. You can use it with any other WM or DE just as well.

Stable releases of EFL and Python-EFL will always be synced, you only might run into this issue if you're using mismatching versions or using code from git. Use Python-EFL 1.17.0 with EFL 1.17.0 for the latest currently stable versions.

kete added a comment.May 3 2016, 3:58 PM

Thanks kuuko, it's working in the terminal, now, and I have the correct system application starting up with this Enlightenment WM.